#### Previous topic

scipy.special.fdtrc

#### Next topic

scipy.special.fdtridfd

# scipy.special.fdtri

`scipy.special.``fdtri`(dfn, dfd, p) = <ufunc 'fdtri'>

  The p-th quantile of the F-distribution.

  This function is the inverse of the F-distribution CDF, `fdtr`, returning the x such that fdtr(dfn, dfd, x) = p.

  Parameters:

  dfn : array_like

  > First parameter (positive float).

  dfd : array_like

  > Second parameter (positive float).

  p : array_like

  > Cumulative probability, in [0, 1].

  Returns:

  x : ndarray

  > The quantile corresponding to p.

  Notes

  The computation is carried out using the relation to the inverse regularized beta function, \(I^{-1}_x(a, b)\). Let \(z = I^{-1}_p(d_d/2, d_n/2).\) Then,

  \[x = \frac{d_d (1 - z)}{d_n z}.\]

  If p is such that \(x < 0.5\), the following relation is used instead for improved stability: let \(z' = I^{-1}_{1 - p}(d_n/2, d_d/2).\) Then,

  \[x = \frac{d_d z'}{d_n (1 - z')}.\]

  Wrapper for the Cephes [R390] routine `fdtri`.

  References

  [R390] | (1, 2) Cephes Mathematical Functions Library, http://www.netlib.org/cephes/index.html